/**
 * Stepper Motor Sequences
 * by Juan Manuel Gonzalez V.
 * 
 * Demonstrates the use of a TEAC stepper motor using pin commands.
 * TEAC motors rotate 360 degrees in 50 cycles (steps).
 */

void setup()
{
  int i;
  for(i=0; i<3; i++) {     // Analog pins for yellow, red,
    pinMode(i, OUTPUT);    // blue and white wires of the motor.
  }

  pinMode(48, OUTPUT);     // Wiring board LED
  digitalWrite(48, HIGH);
}


void stepforward()         //Drive sequence for one cycle going 
{                          //forward.         
  digitalWrite(0, HIGH);
  digitalWrite(1, LOW);
  digitalWrite(2, LOW);
  digitalWrite(3, LOW);
  delay(30);
  digitalWrite(0, LOW);
  digitalWrite(1, HIGH);
  digitalWrite(2, LOW);
  digitalWrite(3, LOW);
  delay(30);
  digitalWrite(0, LOW);
  digitalWrite(1, LOW);
  digitalWrite(2, HIGH);
  digitalWrite(3, LOW);
  delay(30);
  digitalWrite(0, LOW);
  digitalWrite(1, LOW);
  digitalWrite(2, LOW);
  digitalWrite(3, HIGH);
  delay(30);
}

void stepbackward()            //Drive sequence for one cycle going    
{                              //backward.
  digitalWrite(0, LOW);
  digitalWrite(1, LOW);
  digitalWrite(2, LOW);
  digitalWrite(3, HIGH);
  delay(30);
  digitalWrite(0, LOW);
  digitalWrite(1, LOW);
  digitalWrite(2, HIGH);
  digitalWrite(3, LOW);
  delay(30);
  digitalWrite(0, LOW);
  digitalWrite(1, HIGH);
  digitalWrite(2, LOW);
  digitalWrite(3, LOW);
  delay(30);
  digitalWrite(0, HIGH);
  digitalWrite(1, LOW);
  digitalWrite(2, LOW);
  digitalWrite(3, LOW);
  delay(30);
}

void loop()
{
  stepforward();      //Repeats the required sequence over & 
  //over to make the motor turn continuously FW.
  //stepbackward();     //Repeats the required sequence over &
  //over to make the motor turn continuously BW.
}
